bdi4jade.examples.capabilities

## Class Middle1Capability

- java.lang.Object
- - bdi4jade.core.Capability
  - - bdi4jade.examples.capabilities.Middle1ParentCapability
    - - bdi4jade.examples.capabilities.Middle1Capability

- All Implemented Interfaces:
    java.io.Serializable

      public class Middle1Capability
      extends Middle1ParentCapability

  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Middle1Capability.Middle1ExternalGoal`
    `static class` | `Middle1Capability.Middle1InternalGoal`
    `static class` | `Middle1Capability.TestGoal`

    - ### Nested classes/interfaces inherited from class bdi4jade.examples.capabilities.Middle1ParentCapability

      `Middle1ParentCapability.Middle1ParentInternalGoal`

  - ### Field Summary

    - ### Fields inherited from class bdi4jade.core.Capability

      `beliefBase, id, planLibrary`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Middle1Capability()`

  - ### Method Summary

    - ### Methods inherited from class bdi4jade.core.Capability

      `addAnnotatedFields, addAssociatedCapability, addCandidatePlans, addPartCapability, canAchieve, canHandle, equals, getAssociatedCapabilities, getBeliefBase, getBeliefRevisionStrategy, getDeliberationFunction, getFullId, getGoalOwner, getId, getMyAgent, getOptionGenerationFunction, getParentCapabilities, getPartCapabilities, getPlanLibrary, getPlanSelectionStrategy, getWholeCapability, hashCode, removeAssociatedCapability, removePartCapability, setBeliefRevisionStrategy, setDeliberationFunction, setOptionGenerationFunction, setPlanSelectionStrategy, setup, takeDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Middle1Capability

          public Middle1Capability()